function  classifyResult = challenge(recordName)
%CHALLENGE Summary of this function goes here
%   Detailed explanation goes here

% init calculator handler with default config
c = get_default_config();
c_handler = CalculationHandler(c);

% load tape
t = c_handler.load_tape(recordName);

% segmentation of tape
t = c_handler.segment_tape(t, 'springer', 0);

% extracting features
c_handler.config.N_mean_win = floor(t.beat_len*5);

t_features = c_handler.extract_features(t, 0);

classifyResult = c_handler.classify(t_features);
end

